## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate b3sum

Name:           rust-b3sum
Version:        1.8.1
Release:        %autorelease
Summary:        Command line implementation of the BLAKE3 hash function

License:        Apache-2.0 OR Apache-2.0 WITH LLVM-exception
URL:            https://crates.io/crates/b3sum
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Remove CC0-1.0 option (not allowed for code in Fedora) from license
#   expression (but note that LICENSE still includes CC0-1.0 text); see
#   https://docs.fedoraproject.org/en-US/legal/spdx/#_spdx_license_expressions_in_fedora_license_data
Patch:          b3sum-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  help2man

%global _description %{expand:
A command line implementation of the BLAKE3 hash function.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR Apache-2.0 WITH LLVM-exception
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause
# MIT
# MIT OR Apache-2.0
# MIT-0 OR Apache-2.0
License:        %{shrink:
                (Apache-2.0 OR MIT) AND
                (Apache-2.0 WITH LLVM-exception OR Apache-2.0) AND
                (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND
                BSD-2-Clause AND
                MIT AND
                (MIT-0 OR Apache-2.0)
                }
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE_A2
%license LICENSE_A2LLVM
%license LICENSE.dependencies
%doc README.md
%doc what_does_check_do.md
%{_bindir}/b3sum
%{_mandir}/man1/b3sum.1*

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
help2man --no-info --output=b3sum.1 target/rpm/b3sum

%install
%cargo_install
install -t %{buildroot}%{_mandir}/man1 -D -p -m 0644 b3sum.1

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Apr 03 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.1-1
- Update to 1.8.1 (close RHBZ#2353226)

* Thu Apr 03 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.7.0-1
- Update to 1.7.0

* Fri Feb 28 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.1-1
- Update to 1.6.1 (close RHBZ#2348851)

* Tue Feb 18 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.6.0-1
- Update to 1.6.0 (close RHBZ#2346201)

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Nov 27 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.5-1
- Update to 1.5.5 (close RHBZ#2329083)

* Tue Aug 20 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.4-1
- Update to 1.5.4 (close RHBZ#2306015)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 15 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.3-1
- Update to 1.5.3 (close RHBZ#2297808)

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 1.5.1-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Tue Mar 12 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.1-1
- Update to 1.5.1 (close RHBZ#2269130)

* Sat Mar 09 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-3
- Use rust2rpm 26 features to automate more of the packaging work

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-1
- Initial package (close RHBZ#2258652)
## END: Generated by rpmautospec
